<?php
class MainView extends GUIView
{
  public function __construct($engine, $session)
  {
    parent::__construct($engine, $session);
    $this->setTemplate('main.tpl');
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'main';
  }

  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    global $config;

    parent::preRender();

    $user = self::getLoggedUser();
    $this->setVariable('user', $user);
    $this->session->useNamespace('main');
    foreach(array('spamScanType', 'virusScanType', 'useSPF', 'useGreylist', 'useDomainKey',
                  'rejectedSpamScore', 'rejectAfterSize', 'adminUser', 'forwards',
                  'pipeName', 'pipeParameter') as $f)
      $this->setVariable($f, $this->getParameterFromPreviousPage($f));
    $this->setObject('account', $this->session->get('account'));
    $this->setObject('spamScanTypes', Account::getSpamScanTypes());
    $this->setObject('virusScanTypes', Account::getVirusScanTypes());
    $this->setObject('availablePipes', $config['MBOXCONFIG']['PIPES']);
    $this->setObject('pipeParameters', Account::getParametersForPipe($this->getParameterFromPreviousPage('pipeName')));
    if($this->getParameterFromPreviousPage('error') === true)
      $this->setAllSubmitFields();

    return true;
  }
}
?>
