<?php
class ManageAliasView extends GUIView
{
  public function __construct($engine, $session)
  {
    parent::__construct($engine, $session);
    $this->setTemplate('manageAlias.tpl');
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'manageAlias';
  }

  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    parent::preRender();

    $user = self::getLoggedUser();
    $this->setVariable('user', $user);
    $this->session->useNamespace('manageAlias');
    $this->setObject('domains', $this->session->get('domains'));
    $this->setObject('aliases', $this->getParameterFromPreviousPage('aliases'));
    $this->setObject('adminUser', $this->getParameterFromPreviousPage('adminUser'));
    $this->setObject('account', $this->getParameterFromPreviousPage('account'));
    if($this->getParameterFromPreviousPage('error') === true)
      $this->setAllSubmitFields();

    return true;
  }
}
?>
