<?php
class SearchView extends GUIView
{
  public function __construct($engine, $session, $template)
  {
    parent::__construct($engine, $session);
    $this->setTemplate($template);
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'searchView';
  }

  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    parent::preRender();

    $user = self::getLoggedUser();
    $this->setVariable('user', $user);
    $this->setVariable('searching', true);

    return true;
  }
}
?>
