var updateTimer;
var currentLine;
var previousSearch;
var audioStopped = 0;
var toPlay;
var playBox, callBox;

+function (undefined) {
  'use strict';

  if (window.jQuery === undefined) {
    throw Error('The Portal\'s JavaScript requires jQuery!');
  }

  var required_version = '2.1.3'.split(' ')[0].split('.');
  var jquery_version = $.fn.jquery.split(' ')[0].split('.'); //

  if ((jquery_version[0] < required_version[0]) || (jquery_version[0] == required_version[0] && jquery_version[1] < required_version[1]) || (jquery_version[0] == required_version[0] && jquery_version[1] == required_version[1] && jquery_version[2] < required_version[2])) {
    throw new Error('The Portal\'s JavaScript requires jQuery version 2.1.3 or higher!');
  }
}();

$(function () {
  previousSearch = '';
  $('.qa_infoBox').popover({placement: "auto left", html: 'true', trigger: 'hover'});
  $('#search').on('keyup',function(evt) {
    $('#searchCancel').html('<i class="glyphicon glyphicon-remove-sign" alt="' + displayAllStr + '" title="' + displayAllStr + '" onClick="cancelSearch();"></i>');
    if($('#search').val().length > 1 && $('#search').val() != previousSearch)
    {
      previousSearch = $('#search').val();
      search();
    }
    if($('#search').val() == '')
    {
      cancelSearch();
    }
  });
})

function cancelSearch()
{
  $('#search').val('');
  previousSearch = '';
  $('#searchCancel').html('<i class="glyphicon glyphicon-search"></i>');

  $.ajax({
    url: actionURL,
    data: { 'search' : ''},
    cache: false,
    method: 'POST',
    dataType: 'json',
    success: function(data){
      if(data.result == 'OK')
      {
        $('#results').html(data.html);
        setEntryInfo();
        $('#searchErrors').hide();
      }
      else
      {
        $('#searchErrors').show();
        $('#searchErrorsText').html(data.error);
      }
    }
  });
}

function setEntryInfo()
{
  $('.cmail_contact_info').mouseover(function() {
    var p = $('#' + $(this).attr("id")).position();
    var width = $(window).width();
    var height = $('#footerDIV').position().top;
    var offset = $('#' + $(this).attr("id")).offset();
    var posY = offset.top - $(window).scrollTop();
    if((posY + $('#info_' + $(this).attr("id")).height() + 40) > height)
    {
      ptop = offset.top - $('#info_' + $(this).attr("id")).height() - 35;
    }
    else
    {
      ptop = offset.top - 35;
    }
    $('#info_' + $(this).attr("id")).css({'position' : 'absolute', 'top': ptop + 'px', 'z-index' : 9999});
    $('#info_' + $(this).attr("id")).show();
    leftMargin = offset.left - $('#info_' + $(this).attr("id")).width() - 40;
    $('#info_' + $(this).attr("id")).css({'left' : leftMargin + 'px'});
  });
  $('.cmail_contact_info').mouseout(function() { $('#info_' + $(this).attr("id")).hide(); });
}

function search()
{
  $.ajax({
    url: actionURL,
    data: { 'search' : $('#search').val()},
    cache: false,
    method: 'POST',
    dataType: 'json',
    success: function(data){
      if(data.result == 'OK')
      {
        $('#results').html(data.html);
        setEntryInfo();
        $('#searchErrors').hide();
      }
      else
      {
        $('#searchErrors').show();
        $('#searchErrorsText').html(data.error);
      }
    }
  });
}

function collapseView(view)
{
  $('#contacts_' + view).hide();
  $('#collapse_' + view).hide();
  $('#expand_' + view).show();
}

function expandView(view)
{
  $('#contacts_' + view).show();
  $('#collapse_' + view).show();
  $('#expand_' + view).hide();
}

function toggleDIV(div)
{
  $('#' + div).slideToggle(500);
}

function confirmDelete(message, url)
{
  bootbox.confirm(message, function(result)
    {
      if(result)
      {
        window.location.href = url;
      }
    });
}

function generatePassword(element, length)
{
  var pass = '';
  for( ; pass.length < length; pass += Math.random().toString(36).substr(2));
  $('#' + element).val(pass.substr(0, length));
}